Subject: Re: [PATCH] diff: remove another ternary expression always evaluating to true

From: Stefan Beller <[email-masked]>
Date: Fri, 09 Aug 2013 00:17:49 +0200

On 08/08/2013 11:36 PM, Philip Oakley wrote:
> From: "Stefan Beller" <[email-masked]>
> Sent: Thursday, August 08, 2013 7:55 PM
> Subject: [PATCH] diff: remove another ternary expression always
> evaluating to true
> 
> Have these issues (and the earlier expression simplifications patches
> $gmane/231916, $gmane/231912 ) been discovered with the "STACK" tool I'd
> noted in $gmane/230542 which you were also interested in (I've not had
> chance to run the tool).
> 
> If so, it's probably worth referencing the tool and the paper which
> explains the broader issues.
> 
> Philip
> 

Yes, those 3 issues have been discovered using the STACK tool
The paper regarding that tool can be found at
http://pdos.csail.mit.edu/~xi/papers/stack-sosp13.pdf

It's definitely an interesting read! (At least for me it was ;)
The authors intend to make that tool available to broader public
as open source in August this year, iirc.

However I do not know if their repository address was
already announced publicly, so I did not announce to have used it.
(Last time I announced using static code analysis tools for
my patches the review-process was much harder as well :D)

Stefan